# Access the wrapped Script Message object
# simplified access to text content, properties and metadata
out.println("Message Body:" + str(msg.getText()))

if msg.hasProperties():
    out.println("Message Properties:")
    props = msg.getPropertyNames()
    for prop in props:
        value = msg.getProperty(prop)
        out.println(f"\t{prop}: {value}")

if msg.hasMetaData():
    out.println("Message Metadata:")
    props = msg.getMetaDataNames()
    for prop in props:
        value = msg.getMetaData(prop)
        out.println(f"\t{prop}: {value}")



# Example how to access properties from an underlying message object.
# This interface might break in a future release.
# Therefore the above approach should be used whenever possible.
jmsMsg = msg.getDelegate()
out.println("Delegate Properties:")
properties = jmsMsg.getPropertyNames()
while properties.hasMoreElements():
    name = properties.nextElement()
    value = jmsMsg.getObjectProperty(name)
    out.println(f"\t{name}: {value}")

out.println("")

# in Python you have to set result to True or False
# True will process the message 
result = True